com.sun.grid.jgdi.configuration

## Class ResourceQuotaRuleImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ResourceQuotaRuleImpl

- All Implemented Interfaces:
    GEObject, ResourceQuotaRule, java.io.Serializable, java.lang.Cloneable

      public class ResourceQuotaRuleImpl
      extends GEObjectImpl
      implements ResourceQuotaRule

  Java representation of the cull object RQR_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaRuleImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceQuotaRuleImpl()` Create a new instance of ResourceQuotaRuleImpl.
    `ResourceQuotaRuleImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ResourceQuotaRuleImpl(java.lang.String name)` Create a new instance of ResourceQuotaRuleImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLimit(ResourceQuotaRuleLimit alimit)` Add a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `ResourceQuotaRuleFilter` | `getFilterHosts()` Get the value of the filterHosts attribute.
    `ResourceQuotaRuleFilter` | `getFilterPes()` Get the value of the filterPes attribute.
    `ResourceQuotaRuleFilter` | `getFilterProjects()` Get the value of the filterProjects attribute.
    `ResourceQuotaRuleFilter` | `getFilterQueues()` Get the value of the filterQueues attribute.
    `ResourceQuotaRuleFilter` | `getFilterUsers()` Get the value of the filterUsers attribute.
    `int` | `getLevel()` Get the value of the level attribute.
    `ResourceQuotaRuleLimit` | `getLimit(int index)` Get a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
    `int` | `getLimitCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
    `java.util.List<ResourceQuotaRuleLimit>` | `getLimitList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `boolean` | `isSetFilterHosts()` Determine if the filterHosts attribute is set
    `boolean` | `isSetFilterPes()` Determine if the filterPes attribute is set
    `boolean` | `isSetFilterProjects()` Determine if the filterProjects attribute is set
    `boolean` | `isSetFilterQueues()` Determine if the filterQueues attribute is set
    `boolean` | `isSetFilterUsers()` Determine if the filterUsers attribute is set
    `boolean` | `isSetLevel()` Determine if the level attribute is set
    `boolean` | `isSetLimit()` Determine if the limit attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `void` | `removeAllLimit()` Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
    `ResourceQuotaRuleLimit` | `removeLimit(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
    `boolean` | `removeLimit(ResourceQuotaRuleLimit alimit)` Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
    `void` | `setFilterHosts(ResourceQuotaRuleFilter aFilterHosts)` Set the filterHosts attribute.
    `void` | `setFilterPes(ResourceQuotaRuleFilter aFilterPes)` Set the filterPes attribute.
    `void` | `setFilterProjects(ResourceQuotaRuleFilter aFilterProjects)` Set the filterProjects attribute.
    `void` | `setFilterQueues(ResourceQuotaRuleFilter aFilterQueues)` Set the filterQueues attribute.
    `void` | `setFilterUsers(ResourceQuotaRuleFilter aFilterUsers)` Set the filterUsers attribute.
    `void` | `setLevel(int aLevel)` Set the level attribute.
    `void` | `setLimit(int index, ResourceQuotaRuleLimit alimit)` Set a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ResourceQuotaRuleImpl

          public ResourceQuotaRuleImpl()

      Create a new instance of ResourceQuotaRuleImpl. The new instance will not be initialized with the default values.

    - #### ResourceQuotaRuleImpl

          public ResourceQuotaRuleImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ResourceQuotaRuleImpl

          public ResourceQuotaRuleImpl(java.lang.String name)

      Create a new instance of ResourceQuotaRuleImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ResourceQuotaRule`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ResourceQuotaRule`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `ResourceQuotaRule`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetFilterUsers

          public boolean isSetFilterUsers()

      Determine if the filterUsers attribute is set
      Specified by:
        `isSetFilterUsers` in interface `ResourceQuotaRule`
      Returns:
        `true` if the filterUsers attribute is set

    - #### setFilterUsers

          public void setFilterUsers(ResourceQuotaRuleFilter aFilterUsers)

      Set the filterUsers attribute.
      Specified by:
        `setFilterUsers` in interface `ResourceQuotaRule`
      Parameters:
        `aFilterUsers` - the new value for the filterUsers attribute

    - #### getFilterUsers

          public ResourceQuotaRuleFilter getFilterUsers()

      Get the value of the filterUsers attribute.
      Specified by:
        `getFilterUsers` in interface `ResourceQuotaRule`
      Returns:
        the value of the filterUsers attribute

    - #### isSetFilterProjects

          public boolean isSetFilterProjects()

      Determine if the filterProjects attribute is set
      Specified by:
        `isSetFilterProjects` in interface `ResourceQuotaRule`
      Returns:
        `true` if the filterProjects attribute is set

    - #### setFilterProjects

          public void setFilterProjects(ResourceQuotaRuleFilter aFilterProjects)

      Set the filterProjects attribute.
      Specified by:
        `setFilterProjects` in interface `ResourceQuotaRule`
      Parameters:
        `aFilterProjects` - the new value for the filterProjects attribute

    - #### getFilterProjects

          public ResourceQuotaRuleFilter getFilterProjects()

      Get the value of the filterProjects attribute.
      Specified by:
        `getFilterProjects` in interface `ResourceQuotaRule`
      Returns:
        the value of the filterProjects attribute

    - #### isSetFilterPes

          public boolean isSetFilterPes()

      Determine if the filterPes attribute is set
      Specified by:
        `isSetFilterPes` in interface `ResourceQuotaRule`
      Returns:
        `true` if the filterPes attribute is set

    - #### setFilterPes

          public void setFilterPes(ResourceQuotaRuleFilter aFilterPes)

      Set the filterPes attribute.
      Specified by:
        `setFilterPes` in interface `ResourceQuotaRule`
      Parameters:
        `aFilterPes` - the new value for the filterPes attribute

    - #### getFilterPes

          public ResourceQuotaRuleFilter getFilterPes()

      Get the value of the filterPes attribute.
      Specified by:
        `getFilterPes` in interface `ResourceQuotaRule`
      Returns:
        the value of the filterPes attribute

    - #### isSetFilterQueues

          public boolean isSetFilterQueues()

      Determine if the filterQueues attribute is set
      Specified by:
        `isSetFilterQueues` in interface `ResourceQuotaRule`
      Returns:
        `true` if the filterQueues attribute is set

    - #### setFilterQueues

          public void setFilterQueues(ResourceQuotaRuleFilter aFilterQueues)

      Set the filterQueues attribute.
      Specified by:
        `setFilterQueues` in interface `ResourceQuotaRule`
      Parameters:
        `aFilterQueues` - the new value for the filterQueues attribute

    - #### getFilterQueues

          public ResourceQuotaRuleFilter getFilterQueues()

      Get the value of the filterQueues attribute.
      Specified by:
        `getFilterQueues` in interface `ResourceQuotaRule`
      Returns:
        the value of the filterQueues attribute

    - #### isSetFilterHosts

          public boolean isSetFilterHosts()

      Determine if the filterHosts attribute is set
      Specified by:
        `isSetFilterHosts` in interface `ResourceQuotaRule`
      Returns:
        `true` if the filterHosts attribute is set

    - #### setFilterHosts

          public void setFilterHosts(ResourceQuotaRuleFilter aFilterHosts)

      Set the filterHosts attribute.
      Specified by:
        `setFilterHosts` in interface `ResourceQuotaRule`
      Parameters:
        `aFilterHosts` - the new value for the filterHosts attribute

    - #### getFilterHosts

          public ResourceQuotaRuleFilter getFilterHosts()

      Get the value of the filterHosts attribute.
      Specified by:
        `getFilterHosts` in interface `ResourceQuotaRule`
      Returns:
        the value of the filterHosts attribute

    - #### addLimit

          public void addLimit(ResourceQuotaRuleLimit alimit)

      Add a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
      Specified by:
        `addLimit` in interface `ResourceQuotaRule`
      Parameters:
        `alimit` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute

    - #### setLimit

          public void setLimit(int index,
                               ResourceQuotaRuleLimit alimit)

      Set a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
      Specified by:
        `setLimit` in interface `ResourceQuotaRule`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute
        `alimit` - the new com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute

    - #### removeAllLimit

          public void removeAllLimit()

      Remove all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
      Specified by:
        `removeAllLimit` in interface `ResourceQuotaRule`

    - #### removeLimit

          public ResourceQuotaRuleLimit removeLimit(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
      Specified by:
        `removeLimit` in interface `ResourceQuotaRule`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute or `null` if no attribute at this index is stored

    - #### removeLimit

          public boolean removeLimit(ResourceQuotaRuleLimit alimit)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute.
      Specified by:
        `removeLimit` in interface `ResourceQuotaRule`
      Parameters:
        `alimit` - the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute has been removed

    - #### getLimitList

          public java.util.List<ResourceQuotaRuleLimit> getLimitList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
      Specified by:
        `getLimitList` in interface `ResourceQuotaRule`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes

    - #### getLimitCount

          public int getLimitCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.
      Specified by:
        `getLimitCount` in interface `ResourceQuotaRule`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attributes.

    - #### getLimit

          public ResourceQuotaRuleLimit getLimit(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute at an index.
      Specified by:
        `getLimit` in interface `ResourceQuotaRule`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceQuotaRuleLimit attribute

    - #### isSetLimit

          public boolean isSetLimit()

      Determine if the limit attribute is set
      Specified by:
        `isSetLimit` in interface `ResourceQuotaRule`
      Returns:
        `true` if the limit attribute is set

    - #### isSetLevel

          public boolean isSetLevel()

      Determine if the level attribute is set
      Specified by:
        `isSetLevel` in interface `ResourceQuotaRule`
      Returns:
        `true` if the level attribute is set

    - #### setLevel

          public void setLevel(int aLevel)

      Set the level attribute.
      Parameters:
        `aLevel` - the new value for the level attribute

    - #### getLevel

          public int getLevel()

      Get the value of the level attribute.
      Specified by:
        `getLevel` in interface `ResourceQuotaRule`
      Returns:
        the value of the level attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ResourceQuotaRule`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.